<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="{{ url_for('static', filename='css/style.css') }}">
    <title>LINCS NLP</title>
</head>
<body>
    <header>
        <div class="header-logo">
            <a href="#" class="logo-link">LINCS NLP</a>
        </div>
        <div class="header-links">
            <ul>
                <li>
                    <a href="https://portal.lincsproject.ca/" class="portal-link">LINCS Portal
                        <svg class="external-link-svg" viewBox="0 0 512 512">
                            <path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"></path>
                        </svg>
                    </a>
                </li>
                <li>
                    <a href="https://gitlab.com/calincs" class="portal-link">GitLab
                        <svg class="external-link-svg" viewBox="0 0 512 512">
                            <path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"></path>
                        </svg>
                    </a>
                </li>
                <li>
                    <select name="language" id="language" class="language-select">
                        <option value="english">English
                            <img class="links-img" src="{{ url_for('static', filename='images/arrow-down.svg') }}">
                        </option>
                        <option value="french">French
                            <img class="links-img" src="{{ url_for('static', filename='images/arrow-down.svg') }}">
                        </option>
                    </select>
                </li>
            </ul>
        </div>
    </header>
    <section class="upload-section">
        <div class="upload-box">
            <img class="main-logo" src="{{ url_for('static', filename='images/logo-lincs.png') }}">
            <div class="upload-form-section">
                <form action="/transform" method="post" enctype="multipart/form-data">
                    <div class="upload-file-section">
                        <!-- Add buttons for steps -->
                        <div class="step-buttons">
                            <a href="/extract" class="step-button">Step 1: Extract Entities</a>
                            <button class="step-button disabled-button" disabled>Step 2: Transform to Linked Data</button>
                        </div>
                        <!-- Rest of the form -->
                        <br><br>
                        <h3 class="upload-title">Upload your JSON of extracted entities. Get back linked data connecting entities to your document.</h3>
                        <div class="select-file-box">
                            <div class="select-file-button">
                                <div class="upload-btn-box">
                                    <input class="upload-btn" type="button" onclick="document.getElementById('jsonFileInput').click()">
                                    <input id="jsonFileInput" style="display: none;" name="jsonFileInput" type="file" class="btn btn-inverse" onchange="updateFileName()">
                                    <label for="jsonFileInput">JSON</label>
                                </div>
                                <div class="upload-file-name">
                                    <img src="{{ url_for('static', filename='images/check-mark.svg') }}" id="forFileName" style="display: none">
                                    <label id="fileName" for="uploadbtn">Accepted file types: .json</label>
                                </div>
                            </div>
                        </div>
                        <div class="select-file-box">
                            <div class="select-file-button">
                                <div class="upload-btn-box">
                                    <input class="upload-btn" type="button" onclick="document.getElementById('textFileInput').click()">
                                    <input id="textFileInput" style="display: none;" name="textFileInput" type="file" class="btn btn-inverse" onchange="updateFileName()">
                                    <label for="textFileInput">Text</label>
                                </div>
                                <div class="upload-file-name">
                                    <img src="{{ url_for('static', filename='images/check-mark.svg') }}" id="forFileName" style="display: none">
                                    <label id="fileName" for="uploadbtn">Accepted file types: .txt</label>
                                </div>
                            </div>
                        </div>
                        <div class="text-box-section">
                            <label for="documentTitle">Document Title:</label>
                            <input type="text" id="documentTitle" name="documentTitle" class="text-box">
                        </div>
                        <div class="text-box-section">
                            <label for="documentURL">Document URI:</label>
                            <input type="text" id="documentURL" name="documentURL" class="text-box">
                        </div>
                        <div class="entity-select">
                            <select name="docLanguage" id="docLanguage">
                                <option selected disabled value="default.xsl">Select Document Language
                                </option>
                                <option value="en">English</option>
                                <option value="fr">French</option>
                            </select>
                            <a href="" class="info-link">
                                <img class="links-img" src="{{ url_for('static', filename='images/info-circle.svg') }}"></a>
                        </div>
                        <div>
                            <button type="submit" class="form-btn" id="downloadButton">Transform and Download</button>
                        </div>
                        <div class="file-downloaded">
                            <img src="{{ url_for('static', filename='images/check-mark.svg') }}" id="forFileName">
                            <p id="fileDownloaded" style="font-size: 14px"></p>
                        </div>
                    </div>
                </form>
                <div class="document-links-box">
                    <ul>
                        <li style="margin-bottom: 5px; font-weight: bold;">Helpful Links</li>
                        <li>
                            <a href="https://app.diffbot.com/get-started/" class="document-links">Sign up to use Diffbot's Natural Language Processing API</a>
                        </li>
                        <li>
                            <a href="https://lincsproject.ca/docs/explore-lod/understand-lincs-data/application-profiles-main/sources-metadata#annotations" class="document-links">Read LINCS Web Annotation Documentation</a>
                        </li>
                        <li>
                            <a href="https://portal.lincsproject.ca/docs/create-data/publish-data/" class="document-links">Contribute Data to LINCS</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <script src="{{ url_for('static', filename='index.js') }}"></script>
</body>
</html>
